h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 700;
    margin: 0.35em 0 0.7em;
}

h1 {
    font-size: 2em;
}

h2 {
    font-size: 1.75em;
}

h3 {
    font-size: 1.5em;
}

h4 {
    font-size: 1.25em;
}

h5 {
    font-size: 1em;
}

h6 {
    font-size: 0.85em;
}

strong{
    color: var(--text-text-tertiary);
}

label{
    font-weight: 500;
    color: var(--text-text-secondary);
}

a, .a {
    all: unset;
    text-decoration: none;
    display: inline-block;
    font-weight: 600;
    color: var(--text-brand-text-brand-primary);
    transform: scale(1);
    transition: transform 0.2s ease, color 0.2s ease;
}

a:active {
    transform: scale(0.95);
}

a:hover:not(.button) {
    opacity: 0.75;
}

p {
    margin-top: 0;
}

b {
    font-weight: bold !important;
}

ul {
    padding: 24px 0 24px 20px;
    list-style-type: none;
}

li {
    margin: 5px 0;
}

dl dt {
    font-weight: bold;
}

pre code {
    background: none;
    padding: 0;
}

pre {
    background-color: var(--surface-surface-primary);
    padding: 10px;
    border-radius: 5px;
    overflow: auto;
    white-space: pre-wrap;
}

code,
kbd,
pre,
samp,
tt {
    font-family: monospace;
}

code,
kbd {
    font-size: 90%;
    white-space: pre-wrap;
    border-radius: 4px;
    padding: 0.2em 0.4em;
    background-color: var(--text-text-secondary);
    color: var(--surface-error-surface-secondary);
}

aside {
    padding: var(--mit-basic-padding-x);
    border: 1px solid var(--surface-surface-secondary);
    height: 100%;
}

/** TYPOGRAPHY **/
.display-2xl {
    font-size: 1em;
}

.display-xl {
    font-size: 0.833em;
}

.display-lg {
    font-size: 0.666em;
}

.display-md {
    font-size: 0.5em;
}

.display-sm {
    font-size: 0.416em;
}

.display-xs {
    font-size: 0.333em;
}

.text-2xl {
    font-size: 1.75em;
}

.text-xl {
    font-size: 1.25em;
}

.text-lg {
    font-size: 1.125em;
}

.text-md {
    font-size: 1em;
}

.text-sm {
    font-size: 0.875em;
}

.text-xs {
    font-size: 0.75em;
}

.font-regular {
    font-weight: 400;
}

.font-medium {
    font-weight: 500;
}

.font-semibold {
    font-weight: 600;
}

.font-bold {
    font-weight: 700;
}
